Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Hello.

I'm using redmine 3.2.0-stable, and also I'd like to emphasize there wasn't such problem when I was using 3.1.0-stable.

When I export issue to PDF, the file seems pretty corrupted if there're Cyrillic characters present (e.g. screenshot).

Affected browser version: 48.0.2564.82 Ubuntu 14.04 (64-bit)

On Firefox PDF export works perfectly.

Related issues:

Related to Redmine - Defect #22807: rbpdf 1.19.0 breaks the encoding Needs feedback

History

#1 - 2016-02-18 12:03 - Toshi MARUYAMA

- File centos7-mate.png added

- Status changed from New to Needs feedback

I don't know about your pdf viewer, but I think your its problem.

On my CentOS7.

$ LANG=C atril --version

MATE Document Viewer 1.12.2

$ rpm -qf `which atril`

atril-1.12.2-1.el7.x86_64

#2 - 2016-04-04 14:18 - Maksim Khitrin

- File example-adobe-reader.png added

- File example-google-chrome.png added

I have faced the same problem. Finally I found out that it happens when you open PDF document inside Google Chrome as it does when you

download the file. But if you open it with Adobe Reader everything works fine.

My environment:

Environment:

Redmine version                3.2.1.stable

Ruby version                   2.2.4-p230 (2015-12-16) [i686-linux]

Rails version                  4.2.5.2

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.17

Git                            1.7.10.4

Filesystem

Redmine plugins:

redmine_lightbox2              0.2.5

#3 - 2016-05-13 01:55 - Toshi MARUYAMA

- Related to Defect #22807: rbpdf 1.19.0 breaks the encoding added

#4 - 2016-06-20 16:33 - Martin Šlemr

2025-05-17 1/2



Same problem happened to me.

  Redmine version                3.2.3.stable

  Ruby version                   2.0.0-p384 (2014-01-12) [x86_64-linux-gnu]

  Rails version                  4.2.5.2

 Both redmine server and client are running Ubuntu 14.04. Your note is right, problem is related only to Chrome browser (actually 51.0.2704.84

(64-bit))

#5 - 2016-06-20 16:37 - Martin Šlemr

- File issues (41).pdf added

Update: PDF document isn't perfect in Firefox too (czech encoding is broken), Ubuntu's PDF Viewer (Evince 3.10.3) shows it correctly.
